NX Open C++ Reference Guide
|
Represents a @link Features::ShipDesign::VentilationHoles2 Features::ShipDesign::VentilationHoles2@endlink builder <br> To create a new instance of this class, use @link Features::ShipCollection::CreateVentilationHoles2Builder Features::ShipCollection::CreateVentilationHoles2Builder @endlink <br>
Default values. More...
Public Types | |
enum | ArraySpacing { ArraySpacingEvenDistribution, ArraySpacingCustomDefined } |
available methods used to define the spacing between the holes More... | |
Public Member Functions | |
NXOpen::Expression * | AngularDimOffset () |
Returns the angular dim offset Created in NX8.0.0. | |
NXOpen::Features::ShipDesign::VentilationHoles2Builder::ArraySpacing | EnumSpacing () |
Returns the enum spacing Created in NX8.0.0. | |
NXOpen::Expression * | GuideOffset () |
Returns the guide offset Created in NX8.0.0. | |
int | IntNumVents () |
Returns the int num vents Created in NX8.0.0. | |
NXOpen::GeometricUtilities::OnPathDimensionBuilder * | OnPathEndOffset () |
Returns the on path end offset Created in NX8.0.0. | |
NXOpen::GeometricUtilities::OnPathDimensionBuilder * | OnPathStartOffset () |
Returns the on path start offset Created in NX8.0.0. | |
NXOpen::Section * | SectionGuide () |
Returns the section guide Created in NX8.0.0. | |
NXOpen::SelectTaggedObject * | SelectEndTrim () |
Returns the select end trim Created in NX8.0.0. | |
NXOpen::SelectTaggedObject * | SelectStartTrim () |
Returns the select start trim Created in NX8.0.0. | |
NXOpen::SelectTaggedObjectList * | SelectTargetFace () |
Returns the select target face Created in NX8.0.0. | |
void | SetEnumSpacing (NXOpen::Features::ShipDesign::VentilationHoles2Builder::ArraySpacing enumSpacing) |
Sets the enum spacing Created in NX8.0.0. | |
void | SetIntNumVents (int intNumVents) |
Sets the int num vents Created in NX8.0.0. | |
void | SetToggleSymmetricOffsets (bool toggleSymmetricOffsets) |
Sets the toggle symmetric offsets Created in NX8.0.0. | |
NXOpen::Features::ShipDesign::SteelFeatureSpreadsheetBuilder * | SketchBlock () |
Returns the sketch block. | |
bool | ToggleSymmetricOffsets () |
Returns the toggle symmetric offsets Created in NX8.0.0. | |
NXOpen::Expression * | VentSpacing () |
Returns the vent spacing Created in NX8.0.0. | |
![]() | |
NXOpen::Features::Feature * | CommitFeature () |
Commits the feature parameters and creates the feature. | |
NXOpen::Features::Feature * | GetFeature () |
Returns the feature currently being edited by this builder. | |
void | HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature) |
Re-suppress an internal parent feature (a slave feature) after it has been edited. | |
bool | ParentFeatureInternal () |
Returns whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
bool | PatchSolutionFlag () |
Returns the patch solution flag Created in NX8.0.1. | |
NXString | PatchSurfaceFilename () |
Returns the patch surface filename Created in NX8.0.1. | |
void | SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the parent features which would be internal or slaves to the feature being created or commited Created in NX6.0.0. | |
void | SetParentFeatureInternal (bool isInternal) |
Sets whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
void | SetPatchSolutionFlag (bool optionValue) |
Sets the patch solution flag Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const NXString &surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const char *surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature) |
Unsuppress an internal parent feature (a slave feature) so it can be edited. | |
NXString | SurroundingPatchSurfaceFilename () |
Returns the surrounding patch surface filename Created in NX8.0.1. | |
void | UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the internal parent feature of the feature being edited to external Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a @link Features::ShipDesign::VentilationHoles2 Features::ShipDesign::VentilationHoles2@endlink builder <br> To create a new instance of this class, use @link Features::ShipCollection::CreateVentilationHoles2Builder Features::ShipCollection::CreateVentilationHoles2Builder @endlink <br>
Default values.
Property | Value |
---|---|
AngularDimOffset.Value |
0 |
EnumSpacing |
EvenDistribution |
GuideOffset.Value |
0 (millimeters part), 0 (inches part) |
IntNumVents |
0 |
ToggleSymmetricOffsets |
0 |
VentSpacing.Value |
0 (millimeters part), 0 (inches part) |
Created in NX8.0.0.
NXOpen::Expression* NXOpen::Features::ShipDesign::VentilationHoles2Builder::AngularDimOffset | ( | ) |
Returns the angular dim offset
Created in NX8.0.0.
License requirements : None
NXOpen::Features::ShipDesign::VentilationHoles2Builder::ArraySpacing NXOpen::Features::ShipDesign::VentilationHoles2Builder::EnumSpacing | ( | ) |
Returns the enum spacing
Created in NX8.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::ShipDesign::VentilationHoles2Builder::GuideOffset | ( | ) |
Returns the guide offset
Created in NX8.0.0.
License requirements : None
int NXOpen::Features::ShipDesign::VentilationHoles2Builder::IntNumVents | ( | ) |
Returns the int num vents
Created in NX8.0.0.
License requirements : None
NXOpen::GeometricUtilities::OnPathDimensionBuilder* NXOpen::Features::ShipDesign::VentilationHoles2Builder::OnPathEndOffset | ( | ) |
Returns the on path end offset
Created in NX8.0.0.
License requirements : None
NXOpen::GeometricUtilities::OnPathDimensionBuilder* NXOpen::Features::ShipDesign::VentilationHoles2Builder::OnPathStartOffset | ( | ) |
Returns the on path start offset
Created in NX8.0.0.
License requirements : None
NXOpen::Section* NXOpen::Features::ShipDesign::VentilationHoles2Builder::SectionGuide | ( | ) |
Returns the section guide
Created in NX8.0.0.
License requirements : None
NXOpen::SelectTaggedObject* NXOpen::Features::ShipDesign::VentilationHoles2Builder::SelectEndTrim | ( | ) |
Returns the select end trim
Created in NX8.0.0.
License requirements : None
NXOpen::SelectTaggedObject* NXOpen::Features::ShipDesign::VentilationHoles2Builder::SelectStartTrim | ( | ) |
Returns the select start trim
Created in NX8.0.0.
License requirements : None
NXOpen::SelectTaggedObjectList* NXOpen::Features::ShipDesign::VentilationHoles2Builder::SelectTargetFace | ( | ) |
Returns the select target face
Created in NX8.0.0.
License requirements : None
void NXOpen::Features::ShipDesign::VentilationHoles2Builder::SetEnumSpacing | ( | NXOpen::Features::ShipDesign::VentilationHoles2Builder::ArraySpacing | enumSpacing | ) |
Sets the enum spacing
Created in NX8.0.0.
License requirements : nx_ship_detail ("Ship Detail Design")
enumSpacing | enumspacing |
void NXOpen::Features::ShipDesign::VentilationHoles2Builder::SetIntNumVents | ( | int | intNumVents | ) |
Sets the int num vents
Created in NX8.0.0.
License requirements : nx_ship_detail ("Ship Detail Design")
intNumVents | intnumvents |
void NXOpen::Features::ShipDesign::VentilationHoles2Builder::SetToggleSymmetricOffsets | ( | bool | toggleSymmetricOffsets | ) |
Sets the toggle symmetric offsets
Created in NX8.0.0.
License requirements : nx_ship_detail ("Ship Detail Design")
toggleSymmetricOffsets | togglesymmetricoffsets |
NXOpen::Features::ShipDesign::SteelFeatureSpreadsheetBuilder* NXOpen::Features::ShipDesign::VentilationHoles2Builder::SketchBlock | ( | ) |
Returns the sketch block.
<br> Users can specify the hole shape using a single sketch. The sketch type and its parameters are controlled by the @link Features::ShipDesign::SteelFeatureSpreadsheetBuilder Features::ShipDesign::SteelFeatureSpreadsheetBuilder@endlink . <br>
Created in NX8.0.0.
License requirements : None
bool NXOpen::Features::ShipDesign::VentilationHoles2Builder::ToggleSymmetricOffsets | ( | ) |
Returns the toggle symmetric offsets
Created in NX8.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::ShipDesign::VentilationHoles2Builder::VentSpacing | ( | ) |
Returns the vent spacing
Created in NX8.0.0.
License requirements : None